<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>name</key>
	<string>Zone Selectors</string>
	<key>patterns</key>
	<array>
		<dict>
			<key>include</key>
			<string>#full-selector</string>
		</dict>
	</array>
	<key>repository</key>
	<dict>
		<key>full-selector</key>
		<dict>
			<key>patterns</key>
			<array>
				<dict>
					<key>match</key>
					<string>\s*,\s*</string>
					<key>name</key>
					<string>comma</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\s*&gt;\s*</string>
					<key>name</key>
					<string>combinator-child</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\s+-\s*</string>
					<key>name</key>
					<string>excluded</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\s*\+\s*</string>
					<key>name</key>
					<string>combinator-adjacent</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\s*~\(balanced\)\s*</string>
					<key>name</key>
					<string>combinator-indirect-adjacent.sequence-balanced</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\s*~\s*</string>
					<key>name</key>
					<string>combinator-indirect-adjacent</string>
				</dict>
				<dict>
					<key>begin</key>
					<string>:not\(</string>
					<key>end</key>
					<string>\)</string>
					<key>name</key>
					<string>negation</string>
					<key>patterns</key>
					<array>
						<dict>
							<key>include</key>
							<string>$self</string>
						</dict>
					</array>
				</dict>
				<dict>
					<key>begin</key>
					<string>:has-child\(</string>
					<key>end</key>
					<string>\)</string>
					<key>name</key>
					<string>has-child</string>
					<key>patterns</key>
					<array>
						<dict>
							<key>include</key>
							<string>#full-selector</string>
						</dict>
					</array>
				</dict>
				<dict>
					<key>begin</key>
					<string>:has-next\(</string>
					<key>end</key>
					<string>\)</string>
					<key>name</key>
					<string>has-next</string>
					<key>patterns</key>
					<array>
						<dict>
							<key>include</key>
							<string>#full-selector</string>
						</dict>
					</array>
				</dict>
				<dict>
					<key>captures</key>
					<dict>
						<key>1</key>
						<dict>
							<key>name</key>
							<string>capture-name</string>
						</dict>
					</dict>
					<key>match</key>
					<string>:capture\(([\w\-]+)\)</string>
					<key>name</key>
					<string>capture</string>
				</dict>
				<dict>
					<key>include</key>
					<string>#simple-selector</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\s+</string>
					<key>name</key>
					<string>combinator-descendant</string>
				</dict>
			</array>
		</dict>
		<key>simple-selector</key>
		<dict>
			<key>patterns</key>
			<array>
				<dict>
					<key>match</key>
					<string>\*</string>
					<key>name</key>
					<string>universal</string>
				</dict>
				<dict>
					<key>match</key>
					<string>\.[\w\-]+</string>
					<key>name</key>
					<string>class</string>
				</dict>
				<dict>
					<key>captures</key>
					<dict>
						<key>1</key>
						<dict>
							<key>name</key>
							<string>predicate</string>
						</dict>
					</dict>
					<key>match</key>
					<string>\[([^\]]+)\]</string>
					<key>name</key>
					<string>attribute</string>
				</dict>
				<dict>
					<key>match</key>
					<string>[\w\-]+</string>
					<key>name</key>
					<string>type</string>
				</dict>
			</array>
		</dict>
	</dict>
	<key>scopeName</key>
	<string>espresso.syntax.selectors</string>
</dict>
</plist>
